## rock-master-20.01-slam-orogen-threed-odometry 0.20160923

=== tasks/CMakeLists.txt ===
# Generated from orogen/lib/orogen/templates/tasks/CMakeLists.txt

include(threed_odometryTaskLib)
ADD_LIBRARY(${THREED_ODOMETRY_TASKLIB_NAME} SHARED 
    ${THREED_ODOMETRY_TASKLIB_SOURCES})
add_dependencies(${THREED_ODOMETRY_TASKLIB_NAME}
    regen-typekit)

TARGET_LINK_LIBRARIES(${THREED_ODOMETRY_TASKLIB_NAME}
    ${OrocosRTT_LIBRARIES}
    ${THREED_ODOMETRY_TASKLIB_DEPENDENT_LIBRARIES})
SET_TARGET_PROPERTIES(${THREED_ODOMETRY_TASKLIB_NAME}
    PROPERTIES LINK_INTERFACE_LIBRARIES "${THREED_ODOMETRY_TASKLIB_INTERFACE_LIBRARIES}")

INSTALL(TARGETS ${THREED_ODOMETRY_TASKLIB_NAME}
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib/orocos)

INSTALL(FILES ${THREED_ODOMETRY_TASKLIB_HEADERS}
    DESTINATION include/orocos/threed_odometry)

=== debian/changelog ===
rock-master-20.01-slam-orogen-threed-odometry (0.20160923-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-slam/slam-orogen-threed_odometry.git
  * branch: refs/heads/master
  * commit: 42527a8399118dff9869b3a9c74846bfa34048f1
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Thu, 13 Feb 2020 08:59:01 +0100

=== debian/control ===
Source: rock-master-20.01-slam-orogen-threed-odometry
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.01-base-cmake, rock-master-20.01-base-orogen-std, rock-master-20.01-base-orogen-types, rock-master-20.01-base-types, rock-master-20.01-drivers-orogen-aggregator, rock-master-20.01-drivers-orogen-transformer, rock-master-20.01-ruby-orogen, rock-master-20.01-slam-threed-odometry, rock-master-20.01-tools-logger, rock-master-20.01-tools-orogen-cpp-proxies, rock-master-20.01-tools-orogen-metadata, rock-master-20.01-tools-orogen-model-exporter, rock-master-20.01-tools-service-discovery
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-slam-orogen-threed-odometry
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-cmake, rock-master-20.01-base-orogen-std, rock-master-20.01-base-orogen-types, rock-master-20.01-base-types, rock-master-20.01-drivers-orogen-aggregator, rock-master-20.01-drivers-orogen-transformer, rock-master-20.01-slam-threed-odometry, rock-master-20.01-tools-logger, rock-master-20.01-tools-orogen-cpp-proxies, rock-master-20.01-tools-orogen-metadata, rock-master-20.01-tools-orogen-model-exporter, rock-master-20.01-tools-service-discovery
Description: Rock Component for 3D Wheel/Leg Mobile Robots Odometry library
 This component computes full odometry caculating relative displacements using
  a 3D Kinematics model and Least-Squares solver.
